module FeynmanDiagramGenerator

export Forest

export Electron, Positron, Muon, AntiMuon, Tauon, AntiTauon, Photon, ZBoson, WNBoson, WPBoson, Higgs
export can_interact
export QED

include("trees/trees.jl")
include("trees/iterator.jl")
include("trees/print.jl")

include("qft/particles.jl")
include("qft/qft.jl")

include("diagrams/diagrams.jl")
include("diagrams/iterator.jl")

end # module FeynmanDiagramGenerator
